package com.example.cacheable

import org.slf4j.LoggerFactory
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.PathVariable
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController
import reactor.core.publisher.Flux

@RestController
@RequestMapping("/api")
class Controller(
    private val service: Service
) {
    companion object {
        private val log = LoggerFactory.getLogger(Controller::class.java)
    }

    @GetMapping("{id}")
    fun get(@PathVariable id: String): Flux<Model> {
        log.info("Controller - id:$id")
        return service.get(id)
    }

}