package com.example.cacheable

import org.slf4j.LoggerFactory
import org.springframework.cache.annotation.Cacheable
import org.springframework.stereotype.Service
import reactor.core.publisher.Flux

@Service
class Service {
    companion object {
        private val log = LoggerFactory.getLogger(Service::class.java)
    }

    @Cacheable(value = ["myCache"])
    fun get(id: String) : Flux<Model> {
        log.info("Service - id:$id")
        return when {
            id == "broken" -> Flux.empty()
            else -> Flux.just(Model(message = "Hello World!"))
        }
    }
}